unit ComboBoxView;

interface

uses
  StdCtrls, ListModel;

type
  TComboBoxView = class(TComboBox, IObserver)
  private
    procedure UpdateA(Subject: ISubject);
  end;

implementation

{ TComboBoxView }

procedure TComboBoxView.UpdateA(Subject: ISubject);
var
  Obj: IListModel;
  i: Integer;
begin
  Subject.QueryInterface(IListModel, Obj);
  if Obj <> nil then
  begin
    Items.Clear;
    for i := 0 to Pred(Obj.Count) do
      Items.Add(Obj.Item[i]);
    ItemIndex := 0;
  end;
end;

end.
 