unit ListBoxView;

interface

uses
  StdCtrls, ListModel;

type
  TListBoxView = class(TListBox, IObserver)
  private
    procedure UpdateA(Subject: ISubject);
  end;

implementation

{ TListBoxView }

procedure TListBoxView.UpdateA(Subject: ISubject);
var
  Obj: IListModel;
  i: Integer;
begin
  Subject.QueryInterface(IListModel, Obj);
  if Obj <> nil then
  begin
    Items.Clear;
    for i := 0 to Pred(Obj.Count) do
      Items.Add(Obj.Item[i]);
  end;
end;

end.
